/*This file makes the tables we include in the paper */

cd "C:\Data" 

use CZ5ylongCNTY.dta, clear 


set more off 


......
global controls lpoplag Lacuindex  Lprofit Lmultifac Lhospbase  cz_N_Dresidents acs_Lwage_p50 acs_Lpblack  acs_Lpage65p 	
global Lcontrols  lpoplag Lacuindex   Lprofit Lmultifac Lhospbase   acs_Lwage_p50 acs_Lpblack  acs_Lpage65p 	
global controlsNOPOP   Lacuindex   Lprofit Lmultifac Lhospbase   acs_Lwage_p50 acs_Lpblack  acs_Lpage65p 	


global outcome_N cz_N_Dnfall cz_N_Dnrestrain cz_N_Dnpu    
global outcome_N2 cz_N_Dnadl cz_N_Dnpain cz_N_Dnuti cz_N_Dncath 

global labor_all  cz_N_Dacs_n_rn cz_N_Dacs_n_lpn cz_N_Dacs_n_cna  cz_N_Dacsnh_n_rn cz_N_Dacsnh_n_lpn cz_N_Dacsnh_n_cna  
global labor_fbnb  Dacs_nNB_nurse Dacs_nNB_rn Dacs_nNB_lpn Dacs_nNB_cna 

global labor_occs  cz_N_Dacs_n_cna  cz_N_Dacs_n_funeral cz_N_Dacs_n_LawEnforc Dacs_n_p1

global admits  /*Dmyagg_cmi  Dmyagglocare */ Dnew_myagg_cmi Dnew_myagglocare
global admits100  /*Dmyagg_cmi_100  Dmyagglocare_100 D*/ Dnew_myagg_cmi_100 Dnew_myagglocare_100


cd "C:\Dropbox\Elderly\JHR replication files\Tables" //Delia's desktop 
save tempcz.dta,replace


********************************
**Table 1-2: Descriptive Statistics and Figures 1-3: Figures  
********************************

*drop if year==2015


asdoc sum FB nfall nrestrain npain nadl npu nuti ncath , stat(mean sd min max N) by(year)  save(Table1_DesStatsMain.doc) title(Table 2a: Descriptive statistics Outcomes and FB) replace
asdoc sum acs_tothrs_rn-acsn_cna, stat(mean sd min max N) by(year)  save(Table2_DesStatsLabor.doc) title(Table 2: Descriptive statistics Nurse Labor Markets) replace 


**We only use the 2000 data to create those tables so might as well delete. 

drop if year==2000
save tempcz, replace 


**Make Binscatter Figures  

**Main outcomes with just population control 

binscatter cz_N_Dnfall DFB  if year==2005 | year==2010, controls(lpoplag)  xtitle(DFB) ytitle(Change in Number of Residents Fallen)  savegraph(binscatter_Falls) replace 
binscatter cz_N_Dnrestrain DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of Residents Restrained)  savegraph(binscatter_Restraints) replace
binscatter cz_N_Dnpu DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of Residents with Pressure Ulcers)   savegraph(binscatter_PUs) replace

**Nurses with just population control 
binscatter cz_N_Dacs_n_nurse DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of Nurses)    savegraph(binscatter_AllNurses) replace 
binscatter cz_N_Dacs_n_rn DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of RNs)      savegraph(binscatter_RNs) replace 
binscatter cz_N_Dacs_n_lpn DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of LPNs)    savegraph(binscatter_LPNs) replace 
binscatter cz_N_Dacs_n_cna DFB  if year==2005 | year==2010, controls(lpoplag) xtitle(DFB) ytitle(Change in Number of NAs)    savegraph(binscatter_NAs) replace	

**First stages with all of the controls 

binscatter DFB  predImBuch  if year==2005 | year==2010, controls($controls) absorb(fe_state_y) xtitle(Z BCHTT) ytitle(DFB)   savegraph(binscatter_1stStageBuch) replace 
binscatter DFB  predDFB  if year==2005 | year==2010, controls($controls) absorb(fe_state_y) xtitle(Z Card) ytitle(DFB)   savegraph(binscatter_1stStageCard) replace 




********************************
**Table 3: First stages 
********************************

use tempcz.dta, clear 

**Panel A: Buchardi IV 

reghdfe DFB predImBuch if cz_N_Dnrestrain~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3)  addtext( "OLS or IV", "Buch IV")   replace 


foreach var of varlist  cz_N_Dnrestrain  {
	reghdfe DFB predImBuch  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV") 	
	
	reghdfe DFB predImBuch $controls  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV") 
	}

**Panel B: Card IV 
foreach var of varlist cz_N_Dnrestrain {


	reghdfe DFB predDFB  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV") 
	
	reghdfe DFB predDFB $controls  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV") 
	}

	
	
********************************
**** To get the F's 
********************************	

use tempcz.dta, clear 

**Buchardi 

ivreghdfe cz_N_Dnrestrain (DFB= predImBuch)  if cz_N_Dnrestrain~=. ,  absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3)  addtext( "OLS or IV", "Buch IV") addstat(F, e(widstat))  


foreach var of varlist  cz_N_Dnrestrain {
	ivreghdfe `var' (DFB= predImBuch)  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV") 	addstat(F, e(widstat))
	
	ivreghdfe `var'  $controls (DFB= predImBuch)  if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV") addstat(F, e(widstat))
	}

**Card, no 2015
foreach var of varlist cz_N_Dnrestrain  {
	ivreghdfe `var' (DFB=predDFB) if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV") addstat(F, e(widstat))

	
	ivreghdfe `var'  $controls  (DFB=predDFB) if `var'~=. , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table3_FirstStagesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV") addstat(F, e(widstat))

	}
	
	
********************************
**Table 4: Main Quality Outcomes: Falls, Restraints, Pain with OLS and Buchardi 
********************************

********
*Panel A: OLS, 2000-2005, 2005-2010
********
use tempcz.dta, clear 

drop if year==2015

****** 1. no controls

	reghdfe cz_N_Dnfall DFB , absorb(fe_state_y) cluster(statefip)  keepsingletons   
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) addtext( "OLS or IV", "OLS")   replace 

foreach var of varlist $outcome_N {
	reghdfe `var' DFB , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}

****** 2. with all controls including the change in number of residents 
	
foreach var of varlist $outcome_N {
	reghdfe `var' DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}
	


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********

****** 1. no controls

foreach var of varlist $outcome_N {
	ivreghdfe `var' (DFB=predImBuch) , absorb(fe_state_y) cluster(statefip) keepsingletons
	sum `var' if predImBuch~=.
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV") addstat(F, e(widstat))
	}
	
****** 2. with all controls
	
foreach var of varlist $outcome_N {
	ivreghdfe `var'  $controls (DFB=predImBuch), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}
	
********
*Panel C: Card IV, 2000-2005, 2005-2010
********


****** 1. no controls

foreach var of varlist $outcome_N {
	ivreghdfe `var' (DFB=predDFB) , absorb(fe_state_y) cluster(statefip) keepsingletons
	sum `var' if predImBuch~=.
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV") addstat(F, e(widstat))
	}
	

****** 2. with all controls

	
foreach var of varlist $outcome_N {
	ivreghdfe `var'  $controls (DFB=predDFB), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table4_MainOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	}	
	



********************************
**Table 5:  Additional Quality Outcomes: ADL Declines, Pain, Urinary Tract Infectons, Catheters 
********************************

********
*Panel A: OLS, 2000-2005, 2005-2010
********
use tempcz.dta, clear 

	reghdfe cz_N_Dnadl DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table5_MoreOutcomesWCARD, excel dec(3)  addtext( "OLS or IV", "OLS")  replace 

	
foreach var of varlist $outcome_N2 {
	reghdfe `var' DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	sum `var'
	outreg2 using Table5_MoreOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") addstat("Mean Dept Var", r(mean))
	}


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********

foreach var of varlist $outcome_N2  {
	ivreghdfe `var'  $controls (DFB=predImBuch) , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table5_MoreOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}

		
********
*Panel C: Card IV, 2000-2005, 2005-2010
********

foreach var of varlist $outcome_N2  {
	ivreghdfe `var'  $controls (DFB=predDFB) , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table5_MoreOutcomesWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	}


	

*******************************
**Table 6 "Placebo Regressions": Impacts on Admitted Residents. Also, number of resients. 
********************************

********
*Panel A: OLS, 2000-2005, 2005-2010
********
use tempcz.dta, clear 

foreach var of varlist $admits {
	g `var'_100=`var'*100
	g log`var'=log(`var')
	}


****** 1. no controls

	reghdfe cz_N_Dresidents  DFB lpoplag Lacuindex  Lprofit Lmultifac Lhospbase  acs_Lwage_p50 acs_Lpblack  acs_Lpage65p 	 , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) addtext( "OLS or IV", "OLS")   replace 

	
****** 2. with controls

	
foreach var of varlist $admits100 {
	reghdfe `var' DFB $Lcontrols , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********


ivreghdfe cz_N_Dresidents lpoplag Lacuindex  Lprofit Lmultifac Lhospbase  acs_Lwage_p50 acs_Lpblack  acs_Lpage65p (DFB=predImBuch), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))

	
foreach var of varlist $admits100  {
	ivreghdfe `var'  $Lcontrols  (DFB=predImBuch), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}

	
	
	********
*Panel C: Card IV, 2000-2005, 2005-2010
********
ivreghdfe cz_N_Dresidents lpoplag Lacuindex  Lprofit Lmultifac Lhospbase  acs_Lwage_p50 acs_Lpblack  acs_Lpage65p (DFB=predDFB), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	
foreach var of varlist $admits100  {
	ivreghdfe `var'  $Lcontrols  (DFB=predDFB), absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table6_AdmittedWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	}


	
********************************
**Table 7: Labor Market Outcomes: All Nurses 
********************************

use tempcz.dta, clear 

********
*Panel A: OLS, 2000-2005, 2005-2010
********

****** 1. no controls

	reghdfe cz_N_Dacsnh_n_rn  DFB , absorb(fe_state_y) cluster(statefip) keepsingletons
	sum Dmyagg_cmi
	outreg2 using Table7_laborWCARD, excel dec(3) addtext( "OLS or IV", "OLS", Level, "CZ-resident weight") addstat("Mean Dept Var", r(mean))  replace 

****** 2. with controls

foreach var of varlist $labor_all {
	reghdfe `var' DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table7_laborWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********	
foreach var of varlist $labor_all   {
	ivreghdfe `var' (DFB=predImBuch) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table7_laborWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}

********
*Panel C: Card IV, 2000-2005, 2005-2010
********
	
foreach var of varlist $labor_all   {
	ivreghdfe `var' (DFB=predDFB) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table7_laborWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	}


	
********************************
**Table 8 Labor Market Outcomes: NB vs. FB 
********************************

********
*Panel A: OLS, 2000-2005, 2005-2010
********

use tempcz.dta, clear 
drop if year==2015

foreach X in nurse rn lpn cna{
	g Dacs_nNB_`X'=cz_N_Dacs_n_`X'-Dacs_nFB_`X'
	}


****** 1. no controls

	reghdfe Dacs_nFB_rn  DFB , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table8_laborFBNBWCARD, excel dec(3) addtext( "OLS or IV", "OLS")   replace 


****** 2. with controls

foreach var of varlist $labor_fbnb {
	reghdfe `var' DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table8_laborFBNBWCARD, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********
	
foreach var of varlist $labor_fbnb   {
	ivreghdfe `var' (DFB=predImBuch) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table8_laborFBNBWCARD, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}


********
*Panel C: Card IV, 2000-2005, 2005-2010
********

	
foreach var of varlist $labor_fbnb   {
	ivreghdfe `var' (DFB=predDFB) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table8_laborFBNBWCARD, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))	
	}
		
	

******
**Table for Referee 2, and footnote in the paper 
******

use tempcz.dta, clear 

********
*Panel A: OLS, 2000-2005, 2005-2010
********

****** 1. no controls

	reghdfe cz_N_Dacs_n_cna  DFB , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table_Apndx, excel dec(3) addtext( "OLS or IV", "OLS")  replace 

****** 2. with controls

foreach var of varlist $labor_occs {
	reghdfe `var' DFB $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table_Apndx, excel dec(3) append addtext( "OLS or IV", "OLS") 
	}


********
*Panel B: Buchardi IV, 2000-2005, 2005-2010
********	
foreach var of varlist $labor_occs   {
	ivreghdfe `var' (DFB=predImBuch) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table_Apndx, excel dec(3) append addtext( "OLS or IV", "Buch IV")  addstat(F, e(widstat))
	}

********
*Panel C: Card IV, 2000-2005, 2005-2010
********
	
foreach var of varlist $labor_occs   {
	ivreghdfe `var' (DFB=predDFB) $controls , absorb(fe_state_y) cluster(statefip) keepsingletons
	outreg2 using Table_Apndx, excel dec(3) append addtext( "OLS or IV", "Card IV")  addstat(F, e(widstat))
	}


	

