
/* 
 Birth place aggregation dofile to aggregate bpl into 23 consistent 
 region/countries for 1970-1980-1990-2000-2010 (5yr ACS 2012)
 (gbasso@ucdavis.edu, 1/12/2015). 
 
 DF: I did not use the bpld variable. 
*/


gen bplgroup=. 

* US territories (actually all of US but in my dofiles i drop those born in teh US)
replace bplgroup = 0 if bpl>=100 & bpl<=120 /*|bpld==90011|bpld==90021*/

* Canada
replace bplgroup = 1 if bpl==150

* Rest of Americas 
replace bplgroup = 2 if (bpl>150&bpl<=199)|(bpl>200&bpl<=300)

* Mexico 
replace bplgroup = 3 if bpl==200

* Western Europe 
replace bplgroup = 4 if (bpl>=400&bpl<=429)|(bpl>=431&bpl<=440)|(bpl==450)|(bpl==453)

* Eastern Europe (including East Berlin and East Germany in 1980 & 1990. 

replace bplgroup = 5 if bpl==430|(bpl>=451&bpl<=465)|bpld==45303|bpld==45340 */

replace bplgroup = 5 if bpl==430| bpl==451 | bpl==452 |(bpl>=454&bpl<=465)


* China
replace bplgroup = 6 if bpl==500

* Japan
replace bplgroup = 7 if bpl==501

* Korea
replace bplgroup = 8 if bpl==502

* Philippines
replace bplgroup = 9 if bpl==515

* Vietnam 
replace bplgroup = 10 if bpl==518

* India
replace bplgroup = 11 if bpl==521

* Rest of Asia
replace bplgroup = 12 if (bpl>=509&bpl<=514)|(bpl>=516&bpl<=517)|(bpl>=519&bpl<=520)|(bpl>=522&bpl<=599)

* Africa
replace bplgroup = 13 if bpl==600

* Oceania
replace bplgroup = 14 if bpl>=700&bpl<=710

* Other 
replace bplgroup = 15 if bpl==499|(bpl>=800&bpl<=950)


*Lastly, I create labels for these 

label define BPLGlabel 0 "US Territories"
label define BPLGlabel 1 "Canada", add
label define BPLGlabel 2 "All of Americas except Mexico, Canada, Puerto Rico (US territorries)", add 
label define BPLGlabel 3 "Mexico", add 
label define BPLGlabel 4 "Western Europe", add 
label define BPLGlabel 5 "Eastern Europe", add 
label define BPLGlabel 6 "China", add 
label define BPLGlabel 7 "Japan", add 
label define BPLGlabel 8 "Korea", add 
label define BPLGlabel 9 "Philippines", add 
label define BPLGlabel 10 "Vietnam", add 
label define BPLGlabel 11 "India", add 
label define BPLGlabel 12 "Rest of Asia", add 
label define BPLGlabel 13 "Africa", add 
label define BPLGlabel 14 "Oceania", add 
label define BPLGlabel 15 "Other", add 

label values bplgroup BPLGlabel




